package com.hr.service;

import com.github.pagehelper.PageInfo;
import com.hr.dto.AggregateQueryDTO;
import com.hr.param.AccountInterfaceParam;
import com.hr.param.InterfaceConfigParam;
import com.hr.param.SwitchStatusParam;
import com.hr.repository.domain.IpTokenInterfacePO;
import com.hr.vo.AccountInterfaceVO;
import com.hr.vo.IpTokenInterfaceVO;
import com.yy.basedevelop.common.data.BasePageResult;
import com.yy.basedevelop.dto.LoginUser;
import org.springframework.data.domain.Page;

/**
 * token与接口关系表;(ip_token_interface)表服务接口
 * @author : http://www.yonsum.com
 * @date : 2025-10-10
 */
public interface IpTokenInterfaceService{
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param tiid 主键
     * @return 实例对象
     */
    IpTokenInterfaceVO queryById(Long tiid);
    
    /**
     * 分页查询
     *
     * @param IpTokenInterfacePO 筛选条件
     * @param current 当前页码
     * @param size  每页大小
     * @return
     */
    Page<IpTokenInterfacePO> paginQuery(IpTokenInterfacePO IpTokenInterfacePO, Integer current, Integer size);
    /** 
     * 新增数据
     *
     * @param IpTokenInterfacePO 实例对象
     * @return 实例对象
     */
    void insert(IpTokenInterfacePO IpTokenInterfacePO);
    /** 
     * 更新数据
     *
     * @param IpTokenInterfacePO 实例对象
     * @return 实例对象
     */
    void update(IpTokenInterfacePO IpTokenInterfacePO);
    /** 
     * 通过主键删除数据
     *
     * @param tiid 主键
     * @return 是否成功
     */
    boolean deleteById(Long tiid);

    void interfaceConfig(InterfaceConfigParam param, LoginUser user);

    void delAccountInterface(Long id, LoginUser user);

    AggregateQueryDTO queryConfigByInterfaceCodeAndAccountNo(Long  accoutId, Long interfaceId);

    BasePageResult<AccountInterfaceVO> accountInterfaceList(AccountInterfaceParam pageParam);

    Boolean switchStatus(SwitchStatusParam switchStatusParam);

}